---
title: How to Browse the Web Safely
---

# How to Browse the Web Safely

* [Overview](#overview)
* [Google Chrome](#google-chrome)
* [Firefox](#firefox)
* [Safari](#safari)

## Overview

Modern web browsers have improved greatly, and now contain a number of privacy features built in. Most browsers now have a private browsing mode, which lets you browse the web without worrying about stored history or data. Private browsing, however, doesn't necessarily protect you from an untrusted network connection, or someone placing a camera behind you and recording your actions.

Several browsers have an extension/addon/plugin system, and there are a number of privacy-enhancing extensions available.

If you're in a situation where you don't trust your network connection (for example, in a public cafe), you should consider using a trusted network proxy such as [Tor (free)](https://www.torproject.org/index.html) or [TunnelBear (commercial)](https://www.tunnelbear.com/).

## Google Chrome

Ensuring you have a safe browsing experience with Chrome is as easy as installing a few extensions.

### Step 1: Install extensions

The first step is to install these 3 extensions:

1. [uBlock Origin](https://chrome.google.com/webstore/detail/ublock-origin/cjpalhdlnbpafiamejdnhcphjbkeiagm)
  * This protects you from a litany of trackers, ads, scripts, and other nefarious things on the web
1. [HTTPS Everywhere](https://chrome.google.com/webstore/detail/https-everywhere/gcbommkclmclpchllfjekcdonpmejbdp)
  * This tool from the EFF will force the use of a secure connection whenever possible
1. [Privacy Badger](https://chrome.google.com/webstore/detail/privacy-badger/pkehgijcmpdhfbdbbnkijodmdjhbjlgp)
  * This privacy tool from the EFF will make it harder for websites to track you when browsing the web

### Step 2: Allow in incognito

Once the extensions are installed, you must update Chrome's settings to allow the extensions to work in incognito mode. To do this, go to the Extensions page (you can do this by entering `chrome://extensions/` into the address bar), and enable the `Allow in incognito` option for all 3 extensions.

![Allow in incognito](/assets/img/safe-browsing/allow-in-incognito.gif)


### Additional Notes on Chrome

On Android or iOS, it's not possible to install browser extensions for Google Chrome. Consider using [Brave](https://brave.com/) or [Firefox](https://www.mozilla.org/en-US/firefox/products/) instead for a safe browsing experience.

## Firefox

Ensuring you have a safe browsing experience with Firefox is as easy as installing a few addons.

1. [uBlock Origin](https://addons.mozilla.org/en-US/firefox/addon/ublock-origin/)
  * This protects you from a litany of trackers, ads, scripts, and other nefarious things on the web
1. [HTTPS Everywhere](https://addons.mozilla.org/en-us/firefox/addon/https-everywhere/)
  * This tool from the EFF will force the use of a secure connection whenever possible
1. [Privacy Badger](https://addons.mozilla.org/en-US/firefox/addon/privacy-badger17/)
  * This privacy tool from the EFF will make it harder for websites to track you when browsing the web

## Safari

Safari has limited privacy tools, and is not recommended for private browsing.
